# Gradle building
.gradle/
buildSrc/.gradle/
build/
*/build/
sdk/build
out/
*/out/
build/squirreljme/vm-test-*-debug/squirreljme-test.zip
build/squirreljme/vm-testFixtures-*-debug/squirreljme-testFixtures.zip
previous-compilation-data.bin

# VSCode Files
*~

# Eclipse
.settings
.classpath
.project
emulators/*/bin
modules/*/bin

# IntelliJ (Shared but not used)
.idea/aws.xml
.idea/dbnavigator.xml
.idea/discord.xml
.idea/encodings.xml
.idea/jarRepositories.xml
.idea/rSettings.xml
.idea/render.experimental.xml
.idea/serialmonitor_settings.xml
.idea/tasks.xml
.idea/uiDesigner.xml
.idea/usage-statistics.xml
.idea/workspace.xml
.idea/modules/
.idea/shelf/
ratufacoat/.idea/discord.xml
ratufacoat/.idea/gradle.xml
ratufacoat/.idea/workspace.xml
ratufacoat/.idea/modules/
ratufacoat/.idea/shelf/
ratufacoat/libretro-log.txt
file-*
nanocoat/rom/NanoCoatDebug
nanocoat/rom/NanoCoatRelease
nanocoat/rom/main_debug
nanocoat/rom/testFixtures_debug
nanocoat/rom/test_debug
nanocoat/rom/main_release
nanocoat/rom/testFixtures_release
nanocoat/rom/test_release
emulators/emulator-base/cmake-build-*
*.jar

# IntelliJ Dependency Matrix
emulators/*/out/production/
emulators/*/out/test/
modules/*/out/production/
modules/*/out/test/

# Contributions
*.diff
*.gdiff
*.patch
*.rej
*.bun
*.bundle
*-original
*-original-*

# Binary Files
*.class
*.ico
*.png
*.sqc
*.xcf

# Crash logs
*.log

# VisualVM files
java_pid*.hprof

# CMake
CMakeFiles
CTestTestfile.cmake
CMakeCache.txt
ratufacoat/cmake-build-release
ratufacoat/cmake-build-debug
ratufacoat/cmake-build-*
ratufacoat/venv
ratufacoat/src/Debug
ratufacoat/src/Release
ratufacoat/src/SquirrelJME.dir
ratufacoat/x86
ratufacoat/x64
ratufacoat/out
ratufacoat/Testing
ratufacoat/Makefile
ratufacoat/libretro-log.txt
ratufacoat/file-*
cmake_install.cmake
*.o
*.dll
*.exe
*.dylib
cmake-build-debug
*.tmp

# Fossil files
_FOSSIL_
.fslckout
ci-comment-*.txt
ci-comment-*.txt.save
in-*0
in-*1
in-*2
in-*3
in-*4
in-*5
in-*6
in-*7
in-*8
in-*9
in-*A
in-*B
in-*C
in-*D
in-*E
in-*F
out-*0
out-*1
out-*2
out-*3
out-*4
out-*5
out-*6
out-*7
out-*8
out-*9
out-*A
out-*B
out-*C
out-*D
out-*E
out-*F

# NanoCoat ROM
nanocoat/rom/squirreljme.jar
nanocoat/rom/squirreljme-test.jar
nanocoat/rom/squirreljme-fast.jar
nanocoat/rom/squirreljme-fast-test.jar
nanocoat/rom/squirreljme-fast-test.list
nanocoat/rom/squirreljme-slow.jar
nanocoat/rom/squirreljme-slow-test.jar
nanocoat/rom/squirreljme-slow-test.list
